summaryrefslogtreecommitdiffstats
path: root/source/n/cyrus-sasl
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2020-03-04 22:03:30 +0000
committer Eric Hameleers <alien@slackware.com>2020-03-05 08:59:48 +0100
commitcb1ee501cabf242b70244f6035a07307b0bb2f35 (patch)
treec9c588426367377ac52e7012c100c090bc19c00d /source/n/cyrus-sasl
parent05aafc282ba7bbef7d888d761c2d42341745bf50 (diff)
downloadcurrent-cb1ee501cabf242b70244f6035a07307b0bb2f35.tar.gz
current-cb1ee501cabf242b70244f6035a07307b0bb2f35.tar.xz
Wed Mar 4 22:03:30 UTC 202020200304220330
a/sdparm-1.10-x86_64-3.txz: Rebuilt. Recompiled against sg3_utils-1.45. a/udisks-1.0.5-x86_64-5.txz: Rebuilt. Recompiled against sg3_utils-1.45. d/cmake-3.16.5-x86_64-1.txz: Upgraded. l/libgpod-0.8.3-x86_64-6.txz: Rebuilt. Recompiled against sg3_utils-1.45. n/curl-7.69.0-x86_64-1.txz: Upgraded. n/cyrus-sasl-2.1.27-x86_64-3.txz: Rebuilt. Added SQL support via MariaDB. Thanks to niksoggia. n/ntp-4.2.8p14-x86_64-1.txz: Upgraded. n/ppp-2.4.8-x86_64-1.txz: Upgraded. This update fixes a security issue: By sending an unsolicited EAP packet to a vulnerable ppp client or server, an unauthenticated remote attacker could cause memory corruption in the pppd process, which may allow for arbitrary code execution. For more information, see: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-8597 (* Security fix *) testing/packages/PAM/cyrus-sasl-2.1.27-x86_64-3_pam.txz: Rebuilt. Added SQL support via MariaDB. Thanks to niksoggia. testing/packages/PAM/ppp-2.4.8-x86_64-1_pam.txz: Upgraded. This update fixes a security issue: By sending an unsolicited EAP packet to a vulnerable ppp client or server, an unauthenticated remote attacker could cause memory corruption in the pppd process, which may allow for arbitrary code execution. For more information, see: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-8597 (* Security fix *)
Diffstat (limited to 'source/n/cyrus-sasl')
-rwxr-xr-xsource/n/cyrus-sasl/cyrus-sasl.SlackBuild14
1 files changed, 10 insertions, 4 deletions
diff --git a/source/n/cyrus-sasl/cyrus-sasl.SlackBuild b/source/n/cyrus-sasl/cyrus-sasl.SlackBuild
index fbdb54b4b..0be565e26 100755
--- a/source/n/cyrus-sasl/cyrus-sasl.SlackBuild
+++ b/source/n/cyrus-sasl/cyrus-sasl.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2013, 2015, 2017, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2013, 2015, 2017, 2018, 2020 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=cyrus-sasl
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | cut -f 3- -d - | rev | cut -f 3- -d . | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -44,6 +44,8 @@ if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
exit 0
fi
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-cyrus-sasl
@@ -82,9 +84,13 @@ CFLAGS="$SLKCFLAGS" \
--mandir=/usr/man \
--disable-static \
--enable-login \
+ --enable-sql \
--disable-anon \
--without-ldap \
+ --without-pgsql \
--with-saslauthd \
+ --with-mysql=/usr \
+ --with-sqlite3=/usr \
--with-gdbm \
--with-devrandom=/dev/urandom \
--with-dblib=gdbm || exit 1
@@ -92,8 +98,8 @@ CFLAGS="$SLKCFLAGS" \
# How stupid that I need to specify 'sasldir' again for 'make' or else you get
# the warning "Plugins are being installed into /usr/lib/sasl2, but the library
# will look for them in /usr/lib64/sasl2" and advised to create a symlink...
-make sasldir=/usr/lib${LIBDIRSUFFIX}/sasl2 || exit 1
-make sasldir=/usr/lib${LIBDIRSUFFIX}/sasl2 install DESTDIR=$PKG || exit 1
+make $NUMJOBS sasldir=/usr/lib${LIBDIRSUFFIX}/sasl2 || exit 1
+make $NUMJOBS sasldir=/usr/lib${LIBDIRSUFFIX}/sasl2 install DESTDIR=$PKG || exit 1
# Don't ship .la files:
rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la